## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Debug build does not embed lua scripts that are needed for
# correct functionality
%global debug_package %{nil}
# Commit taken from updated README and version number, which is
# 2 commits after indicated version commit
%global    commit        c4e45e25c16e66b1891123af72cd395729110be5
%global    date          20241028
%global    shortcommit   %(c=%{commit}; echo ${c:0:7})
Name:           GENie
Version:        1181^%{date}.%{shortcommit}
Release:        %{autorelease}
Summary:        Project generator tool

# Most files under BSD-3-Clause
# inspect.lua and profiler.lua under MIT
License:        BSD-3-Clause AND MIT
URL:            https://github.com/bkaradzic/GENie
Source:         %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  compat-lua-devel
BuildRequires:  gcc
BuildRequires:  lua-devel
BuildRequires:  make
Recommends:     cmake
Recommends:     make
Recommends:     ninja-build

%description
GENie (pronounced as Jenny) is project generator tool. It automagically
generates project from Lua script, making applying the same settings for
multiple projects easy.

%prep
%autosetup -n %{name}-%{commit}

%build
%make_build 


%install
install -p -m 755 bin/linux/genie %{buildroot}%{_bindir}


%check
# Smoke check
%{buildroot}%{_bindir}/genie --version 2>&1 | grep 'version %version'

%files
%license LICENSE
%doc README.md
%doc docs/scripting-reference.md
%{_bindir}/genie


%changelog
## START: Generated by rpmautospec
* Sun Dec 29 2024 John Doe <packager@example.com> - 1181^20241028.c4e45e2-1
- Uncommitted changes
## END: Generated by rpmautospec
